# xarray.ufuncs.fabs

`xarray.ufuncs.``fabs` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.fabs. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  fabs(x, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Compute the absolute values element-wise.

  This function returns the absolute values (positive magnitude) of the data in x. Complex values are not handled, use absolute to find the absolute values of complex data.

  Parameters:

  x : array_like

  > The array of numbers for which the absolute values are required. If x is a scalar, the result y will also be a scalar.

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  y : ndarray or scalar

  > The absolute values of x, the returned values are always floats.

  See also

  `absolute`
    Absolute values including complex types.

  Examples

      >>> np.fabs(-1)
      1.0
      >>> np.fabs([-1.2, 1.2])
      array([ 1.2,  1.2])